#!/usr/bin/env python
# See COPYING file in this directory for copyright and license details.
#
# Creates a new partner, a product category, a product, and partner addresses.

import sys
import oeclient

usage = "%s host database username password" % (sys.argv[0])
if len(sys.argv) != 5:
	print(usage)
	exit(1)

oe = oeclient.OpenERPClient()
oe.connect(sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4])

daddrid = oe.create('res.partner.address', {'name': 'TEST DELIVERY ADDRESS', 'type': 'delivery'})
print("Delivery address created, id %s" % (daddrid))

iaddrid = oe.create('res.partner.address', {'name': 'TEST INVOICE ADDRESS', 'type': 'invoice'})
print("Invoice address created, id %s" % (iaddrid))

partid = oe.create('res.partner', {'name': 'TEST PARTNER', 'credit_limit': '100'})
oe.write('res.partner', partid, {'address': [(6, 0, [daddrid, iaddrid])]})
print("Partner created, id %s" % (partid))

catid = oe.create('product.category', {'name': 'TEST CATEGORY'})
print("Category created, id %s" % (catid))

prodid = oe.create('product.product', {'name': 'TEST PRODUCT', 'categ_id': catid})
print("Product created, id %s" % (prodid))

prodid = oe.create('product.product', {'name': 'TEST PRODUCT', 'categ_id': catid})
print("Product created, id %s" % (prodid))
