#!/usr/bin/env python
# See COPYING file in this directory for copyright and license details.
#
# Tests the reception of a packing.

import sys
import oeclient
import testconf

usage = "%s host database username password" % (sys.argv[0])
if len(sys.argv) != 5:
	print(usage)
	exit(1)

oe = oeclient.OpenERPClient()
oe.connect(sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4])

retcode = 0

t = testconf.gettestids(oe)


orderids = oe.search('purchase.order', [('partner_id','=',t['partner']),('state','=','approved')])
if not orderids:
	print("No purchase order found; run newpurchaseorder.py to create one")
	exit(1)
pids = oe.read('purchase.order', orderids[0], ['picking_ids'])['picking_ids']
if not orderids:
	print("No picking associated with purchase order found; remove any other test purchase orders and run newpurchaseorder.py")
	exit(1)
else:
	pid = pids[0]

pqtypre = oe.read('product.product', [t['prod']], ['qty_available'])[0]['qty_available']
pqtyexpected = pqtypre + t['lineqty']

oe.exec_workflow('stock.picking', 'button_done', pid)
state = oe.read('stock.picking', pid, ['state'])['state']
if state == 'done':
	print("Picking %d done" % (pid))
else:
	print("Picking %d not done as expected; state is %s" % (pid, state))
	retcode = 1

pqtypost = oe.read('product.product', [t['prod']], ['qty_available'])[0]['qty_available']

if pqtypost == pqtyexpected:
	print("Product quantity figure went up to %d as expected" % (pqtyexpected))
else:
	print("Product quantity figure went up from %d to %d, not %d" % (pqtypre, pqtypost, pqtyexpected))
	retcode = 1

exit(retcode)
