#!/usr/bin/env python
# See COPYING file in this directory for copyright and license details.

def gettestids(oe):
	t = {}

	# TODO: set these smartly, using a dictionary and a loop

	partids = oe.search('res.partner', [('name','=','TEST PARTNER')])
	if not partids:
		print("Cannot find partner; make sure createtestenv.py has run")
		exit(1)
	t['partner'] = partids[0]

	daddrids = oe.search('res.partner.address', [('name','=','TEST DELIVERY ADDRESS')])
	if not daddrids:
		print("Cannot find delivery address; make sure createtestenv.py has run")
		exit(1)
	t['daddr'] = daddrids[0]

	iaddrids = oe.search('res.partner.address', [('name','=','TEST INVOICE ADDRESS')])
	if not iaddrids:
		print("Cannot find invoice address; make sure createtestenv.py has run")
		exit(1)
	t['iaddr'] = daddrids[0]

	prodids = oe.search('product.product', [('name','=','TEST PRODUCT')])
	if not prodids:
		print("Cannot find product id; make sure createtestenv.py has run")
		exit(1)
	t['prod'] = prodids[0]

	uomids = oe.search('product.uom', [('name','=','PCE')])
	if not uomids:
		print("Cannot find PCE UOM; at present these scripts need it")
		exit(1)
	t['uom'] = uomids[0]

	slocids = oe.search('stock.location', [('active','=','true'),('usage','=','internal'),('name','=','Stock')])
	if not slocids:
		print("Cannot find internal stock location; at present these scripts need it")
		exit(1)
	t['stockloc'] = slocids[0]

	clocids = oe.search('stock.location', [('active','=','true'),('usage','=','customer')])
	if not clocids:
		print("Cannot find customer location; at present these scripts need it")
		exit(1)
	t['cloc'] = clocids[0]

	plistids = oe.search('stock.location', [('active','=','true')])
	if not plistids:
		print("Cannot find a price list; at present these scripts need it")
		exit(1)
	t['pricelist'] = plistids[0]

	jids = oe.search('account.journal', [('active','=',True),('type','=','sale')])
	if not jids:
		print("Cannot find a sale account journal; at present these scripts need it")
		exit(1)
	t['sjournal'] = jids[0]

	t['lineqty'] = 3
	t['lineprice'] = 4

	return t
